using Domain.Entities;
using Domain.Generics;

namespace Core.Interfaces
{
    public interface IInstitutionDom
    {
        Task<EInstitution> CreateAsync(EInstitution entity);
        Task<bool> DeleteAsync(int id);
        Task<byte[]> ExportFilteredInstitutionsToExcelAsync(InstitutionSearchParams searchParams);
        Task<PagedResult<EInstitution>> GetAllAsync(int page = 1, int pageSize = 50);
        Task<EInstitution?> GetByIdAsync(int id);
        Task<PagedResult<EInstitution>> SearchAsync(string? name, string? type, string? province, int page = 1, int pageSize = 50);
        Task<bool> UpdateAsync(EInstitution entity);
    }
}
